﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Web;
using System.Net.Http;
using System.Web.Http;
using ServerOperations.Models;
using System.Collections;
using System.Web.Http.OData;
using System.Web.Http.OData.Query;

namespace ServerOperations.Controllers
{
    public class OrdersController : ApiController
    {
        NorthwindDataContext db = new NorthwindDataContext();
        
        // GET api/<controller>       
        public PageResult<EmployeePhoto> Get(ODataQueryOptions opts)
        {
            List<EmployeePhoto> emp = db.EmployeePhotos.ToList();            

            return new PageResult<EmployeePhoto>(emp as IEnumerable<EmployeePhoto>, null, emp.Count);
        }

        // GET api/<controller>/
        public string Get(int id)
        {
            return "value";
        }

        // POST api/<controller>
        public void Post(EmployeePhoto employee)
        {
            NorthwindDataContext db = new NorthwindDataContext();

            db.EmployeePhotos.InsertOnSubmit(new EmployeePhoto()
            {
                EmployeeID = employee.EmployeeID,
                Name = employee.Name               
            });
            db.SubmitChanges();

        }

        // PUT api/<controller>/5
        public void Put(EmployeePhoto employee)
        {
            EmployeePhoto emp = (EmployeePhoto)db.EmployeePhotos.Single(s => s.EmployeeID == employee.EmployeeID);

            emp.EmployeeID = employee.EmployeeID;
            emp.Name = employee.Name;
            

            db.SubmitChanges();

        }

        // DELETE api/<controller>/5
        public void Delete(int id)
        {
            EmployeePhoto emp = (EmployeePhoto)db.EmployeePhotos.Single(s => s.EmployeeID == id);

            db.EmployeePhotos.DeleteOnSubmit(emp);

            db.SubmitChanges();
        }
    }
}